# Class CIM_LocallyManagedPublicKey
extends CIM_ManagedCredential

CIM_LocallyManagedPublicKey association provides the relationship between a PublicKeyManagementService and an UnsignedPublicKey.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Dependency
|
+--CIM_ManagedCredential
|
+--CIM_LocallyManagedPublicKey

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Association | boolean | true
Deprecated | string | CIM_ServiceAffectsElement
Description | string | CIM_LocallyManagedPublicKey association provides the relationship between a PublicKeyManagementService and an UnsignedPublicKey.
UMLPackagePath | string | CIM::User::PublicKey
Version | string | 2.16.0

## Class Properties

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
Antecedent | CIM_LocallyManagedPublicKey | CIM_PublicKeyManagementService
Dependent | CIM_LocallyManagedPublicKey | CIM_UnsignedPublicKey

## Class Methods